Subject: Re: TCP many-connection regression between 4.7 and 4.13 kernels.

From: Eric Dumazet <[email-masked]>
Date: Mon, 22 Jan 2018 10:16:06 -0800

On Mon, 2018-01-22 at 09:28 -0800, Ben Greear wrote:
> My test case is to have 6 processes each create 5000 TCP IPv4 connections to each other
> on a system with 16GB RAM and send slow-speed data.  This works fine on a 4.7 kernel, but
> will not work at all on a 4.13.  The 4.13 first complains about running out of tcp memory,
> but even after forcing those values higher, the max connections we can get is around 15k.
> 
> Both kernels have my out-of-tree patches applied, so it is possible it is my fault
> at this point.
> 
> Any suggestions as to what this might be caused by, or if it is fixed in more recent kernels?
> 
> I will start bisecting in the meantime...
> 

Hi Ben

Unfortunately I have no idea.

Are you using loopback flows, or have I misunderstood you ?

How loopback connections can be slow-speed ?